# Uses of Enum
com.databricks.jdbc.common.Nullable

Packages that use Nullable
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.common
com.databricks.jdbc.common.util

## Uses of Nullable in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that return Nullable
Modifier and Type
Method
Description
`Nullable`
DatabricksColumn.`nullable()`
`Nullable`
ImmutableDatabricksColumn.`nullable()`
Methods in com.databricks.jdbc.api.impl with parameters of type Nullable
Modifier and Type
Method
Description
`final ImmutableDatabricksColumn.Builder`
ImmutableDatabricksColumn.Builder.`nullable(Nullable nullable)`
Initializes the value for the `nullable` attribute.
`final ImmutableDatabricksColumn`
ImmutableDatabricksColumn.`withNullable(Nullable value)`
Copy the current immutable object by setting a value for the `nullable` attribute.

## Uses of Nullable in com.databricks.jdbc.common

Subclasses with type arguments of type Nullable in com.databricks.jdbc.common
Modifier and Type
Class
Description
`enum`
`Nullable`
Methods in com.databricks.jdbc.common that return Nullable
Modifier and Type
Method
Description
`static Nullable`
Nullable.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Nullable[]`
Nullable.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of Nullable in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util that return Nullable
Modifier and Type
Method
Description
`static Nullable`
DatabricksTypeUtil.`getNullableFromValue(Integer isNullable)`